<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.energy.mapper.EleEpdMapper">
    <select id="getEleEpdPqdNoList" resultType="com.njcn.energy.pojo.po.EleEpdPqd">
        SELECT
            *
        FROM
            ele_epd_pqd epd
        WHERE
                epd.id
        NOT IN (
                    SELECT
                        sta.con_id
                    FROM
                        ele_statistical_set sta
                    WHERE
                        sta.id = #{conId}
                )
        order by
            epd.idx
    </select>

    <select id="getEleEpdPqdList" resultType="com.njcn.energy.pojo.po.EleEpdPqd">
        SELECT
            *
        FROM
            ele_epd_pqd epd
        WHERE
                epd.id
        IN (
                    SELECT
                        sta.con_id
                    FROM
                        ele_statistical_set sta
                    WHERE
                        sta.id = #{conId}
                )
        order by
            epd.idx
    </select>
</mapper>